Devuan bug report logs - #378
libpulse0: pulseaudio disable autospawn by default on system without systemd

version graph

Package: pulseaudio; Maintainer for pulseaudio is Dima Krasner <dima@dimakrasner.com>;

Reported by: Ludovic Bellière <belliere.ludovic@proximus.be>

Date: Tue, 21 Jan 2020 18:33:01 UTC

Severity: grave

Tags: beowulf, moreinfo, patch

Merged with 276, 318, 367, 375, 403, 466, 473, 480, 514

Found in version 12.2-4+deb10u1

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#378; Package libpulse0. (Tue, 21 Jan 2020 18:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Ludovic Bellière <belliere.ludovic@proximus.be>:
New bug report received and forwarded. Copy sent to Dima Krasner <dima@dimakrasner.com>. (Tue, 21 Jan 2020 18:33:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Ludovic Bellière <belliere.ludovic@proximus.be>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: libpulse0: pulseaudio disable autospawn by default on system without systemd
Date: Tue, 21 Jan 2020 19:25:35 +0100
Package: libpulse0
Version: 12.2-4+deb10u1
Severity: normal

Dear Maintainer,

After upgrading from devuan ascii to beowulf, pulseaudio wouldn't spawn for
users session. It is due to the `autospawn` option contained in the file
/etc/pulse/client.conf.d/00-disable-autospawn.conf

The default configuration option for pulse audio on devuan should be to set
`autospawn` to `yes`.

Thanks.

-- System Information:
Debian Release: 10.0
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.4.0-0.bpo.2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_BE.UTF-8, LC_CTYPE=fr_BE.UTF-8 (charmap=UTF-8), LANGUAGE=fr_FR:fr (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Information forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#378; Package libpulse0. (Wed, 22 Jan 2020 15:18:02 GMT) (full text, mbox, link).


Message #8 received at 378@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 378@bugs.devuan.org
Subject: Re: libpulse0: pulseaudio disable autospawn by default on system without systemd
Date: Wed, 22 Jan 2020 15:10:00 +0000
Control: reassign -1 pulseaudio
Control: merge -1 276

Thanks. This issue is already reported with the fix which will be
included in the release notes.

Mark

bug reassigned from package 'libpulse0' to 'pulseaudio'. Request was from Mark Hindley <mark@hindley.org.uk> to 378-submit@bugs.devuan.org. (Wed, 22 Jan 2020 15:18:02 GMT) (full text, mbox, link).


No longer marked as found in versions 12.2-4+deb10u1. Request was from Mark Hindley <mark@hindley.org.uk> to 378-submit@bugs.devuan.org. (Wed, 22 Jan 2020 15:18:02 GMT) (full text, mbox, link).


Marked as found in versions 12.2-4+deb10u1. Request was from Mark Hindley <mark@hindley.org.uk> to 378-submit@bugs.devuan.org. (Wed, 22 Jan 2020 15:18:02 GMT) (full text, mbox, link).


Added tag(s) beowulf. Request was from Mark Hindley <mark@hindley.org.uk> to 378-submit@bugs.devuan.org. (Wed, 22 Jan 2020 15:18:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 Request was from Mark Hindley <mark@hindley.org.uk> to 378-submit@bugs.devuan.org. (Wed, 22 Jan 2020 15:18:02 GMT) (full text, mbox, link).


Message sent on to Ludovic Bellière <belliere.ludovic@proximus.be>:
bug#378. (Tue, 11 Feb 2020 23:03:01 GMT) (full text, mbox, link).


Message #21 received at 378-submitter@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 378-submitter@bugs.devuan.org
Subject: Test
Date: Tue, 11 Feb 2020 22:43:10 +0000
Hello,

Could you confirm if this gets through.

Thanks.

Mark

Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submit@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:03 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submit@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:09 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submitter@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:13 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submitter@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:17 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 Request was from Mark Hindley <mark@hindley.org.uk> to 466-submit@bugs.devuan.org. (Tue, 19 May 2020 09:03:04 GMT) (full text, mbox, link).


Severity set to 'grave' from 'normal' Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:05 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:05 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:06 GMT) (full text, mbox, link).


Added tag(s) moreinfo. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:05 GMT) (full text, mbox, link).


Message #44 received at 480-close@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Michaela Merz <mischmerz@googlemail.com>
Cc: control@bugs.devuan.org, 480-close@bugs.devuan.org
Subject: Re: bug#480: Firefox - no sound
Date: Wed, 3 Jun 2020 19:44:01 +0100
reassign 480 pulseaudio
forcemerge 276 480


On Wed, Jun 03, 2020 at 12:06:42PM -0500, Michaela Merz wrote:
>    > > [1] http://files.devuan.org/devuan_beowulf/Release_notes.txt > >
>    --00000000000000808705a7310ed4 Content-Type: text/html; charset="UTF-8"
>    Content-Transfer-Encoding: quoted-printable
> 
>    Mark:
>    Rats. I enabled autospawn in client.conf, but forgot about
> 00-disable-autospawn.conf
> 
> Confirming that firefox works with audio now. Sory to bother you :(

Thanks.

Closing

Mark

Merged 276 318 367 375 378 403 466 473 480 514 Request was from Mark Hindley <mark@hindley.org.uk> to 514-submit@bugs.devuan.org. (Thu, 08 Oct 2020 17:03:07 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri Oct 23 06:12:06 2020;